

:host zxing-scanner::ng-deep video {
    min-height: 100vh;
    width: 100vw;
    object-fit: cover;
 }

 .overlay {
    height: 90vmin;
    width: 90vmin;
    position: absolute;
    top: 50%;
    left: 50%;
    -ms-transform: translateY(-50%) translateX(-50%);
    transform: translateY(-50%) translateX(-50%);
    -webkit-box-shadow: 1px 5px 24px 6px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 1px 5px 24px 6px rgba(0,0,0,0.1);
    box-shadow: 1px 5px 24px 6px rgba(0,0,0,0.1);

    .bottom-right {
        height: 100px;
        width: 100px;
        border-right: 20px solid white;
        border-bottom: 20px solid white;
        position: fixed;
        bottom: 0;
        right: 0;
        
    }

    .bottom-left {
        height: 100px;
        width: 100px;
        border-left: 20px solid white;
        border-bottom: 20px solid white;
        position: fixed;
        bottom: 0;
        left: 0;
    }

    .top-right {
        height: 100px;
        width: 100px;
        border-right: 20px solid white;
        border-top: 20px solid white;
        position: fixed;
        top: 0;
        right: 0;
    }

    .top-left {
        height: 100px;
        width: 100px;
        border-left: 20px solid white;
        border-top: 20px solid white;
        position: fixed;
        top: 0;
        left: 0;
    }
 }

ion-toolbar {
    --background: black;
    --color: white;
}

.result-overlay {
    margin-top: 20px;
    border-radius: 10px;
    background: #81C784;
    height: 80vh;
    width: 90vw;
    position: absolute;
    top: 50%;
    left: 50%;
    -ms-transform: translateY(-50%) translateX(-50%);
    transform: translateY(-50%) translateX(-50%);
    -webkit-box-shadow: 1px 5px 24px 6px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 1px 5px 24px 6px rgba(0,0,0,0.1);
    box-shadow: 1px 5px 24px 6px rgba(0,0,0,0.1); 
    text-align: center;
}